# norootforbuild
%define pkg_name    xcache
%define php_version %(php-config4 --version 2>/dev/null)
#
Name: php4-xcache
Version: 1.3.0
Release: 4.6
License: BSD 
Group: Productivity/Networking/Web/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php4-devel >= 4.4.8 indent
Requires: php4 = %{php_version} 
Provides : php4_code_cache
Conflicts : php4-APC php4-eaccelerator
%if 0%{?suse_version} > 1000
Enhances : php4
%endif
#
URL: http://trac.lighttpd.net/xcache/
Source: http://210.51.190.228/pub/XCache/Releases/%{pkg_name}-%{version}.tar.bz2
Patch0: xcache-broken.ini.patch
#
Summary: A fast, stable php opcode cacher
%description
XCache is a fast, stable php opcode cacher that has been tested and now running
on production server under high load. It support and is tested on all lastest
php cvs branches, such as PHP_4_3 PHP_4_4 PHP_5_1 PHP_5_2 HEAD(6.x)


Authors:
---------
    moo <phpxcache@gmail.com>

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize4
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

../configure \
    --enable-xcache \
    --enable-xcache-coverager \
    --with-php-config=%{_bindir}/php-config4

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__install} -D  -m 0644 xcache.ini %{buildroot}%{_sysconfdir}/php4/php.d/xcache.ini
%{__install} -Dd -m 0755 %{buildroot}%{_datadir}/php4/xcache/
touch {admin,coverager}/config.php
%{__cp} -rv admin/ coverager/ %{buildroot}%{_datadir}/php4/xcache/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php4/xcache.so
%config(noreplace) %{_sysconfdir}/php4/php.d/xcache.ini
%dir %{_datadir}/php4/xcache/
%dir %{_datadir}/php4/xcache/admin/
%ghost %config(noreplace) %{_datadir}/php4/xcache/admin/config.php
%{_datadir}/php4/xcache/admin/config.php.example
%{_datadir}/php4/xcache/admin/index.php
%{_datadir}/php4/xcache/admin/help.php
%{_datadir}/php4/xcache/admin/tablesort.js
%{_datadir}/php4/xcache/admin/xcache.css
%{_datadir}/php4/xcache/admin/xcache.php
%{_datadir}/php4/xcache/admin/xcache.tpl.php
%{_datadir}/php4/xcache/admin/common-en.lang.php
%{_datadir}/php4/xcache/admin/common-zh-simplified-utf-8.lang.php
%{_datadir}/php4/xcache/admin/common.php
%{_datadir}/php4/xcache/admin/help-en.lang.php
%{_datadir}/php4/xcache/admin/help-zh-simplified-utf-8.lang.php
%{_datadir}/php4/xcache/admin/common-zh-traditional-utf-8.lang.php
%{_datadir}/php4/xcache/admin/help-zh-traditional-utf-8.lang.php
%{_datadir}/php4/xcache/admin/edit.php
%{_datadir}/php4/xcache/admin/edit.tpl.php
%{_datadir}/php4/xcache/admin/footer.tpl.php
%{_datadir}/php4/xcache/admin/header.tpl.php
%{_datadir}/php4/xcache/admin/mkpassword.php
%dir %{_datadir}/php4/xcache/coverager/
%ghost %config(noreplace) %{_datadir}/php4/xcache/coverager/config.php
%{_datadir}/php4/xcache/coverager/config.php.example
%{_datadir}/php4/xcache/coverager/coverager.css
%{_datadir}/php4/xcache/coverager/coverager.php
%{_datadir}/php4/xcache/coverager/coverager.tpl.php
%{_datadir}/php4/xcache/coverager/index.php
%{_datadir}/php4/xcache/coverager/common-en.lang.php
%{_datadir}/php4/xcache/coverager/common-zh-simplified-utf-8.lang.php
%{_datadir}/php4/xcache/coverager/common.php
%{_datadir}/php4/xcache/coverager/common-zh-simplified-gb2312.lang.php
%doc AUTHORS COPYING THANKS

%changelog
* Sat Aug 08 2009 Carsten Schoene <cs@linux-administrator.com> - 1.3.0
- update to release 1.3.0
